using Млаумчерб.Клиент.видимое;

namespace Млаумчерб.Клиент.классы;

public static class Пути
{
    public static IOPath GetAssetIndexFilePath(string id) => 
        Path.Concat(Приложение.Настройки.путь_к_кубачу, $"assets/indexes/{id}.json");
    
    public static IOPath GetVersionDescriptorDir() =>
        Path.Concat(Приложение.Настройки.путь_к_кубачу, "version_descriptors");
    
    public static string GetVersionDescriptorName(IOPath path) =>
        path.LastName().RemoveExtension().ToString();
    
    public static IOPath GetVersionDescriptorPath(string name) => 
        Path.Concat(GetVersionDescriptorDir(), Path.ReplaceRestrictedChars(name) + ".json");
    
    public static IOPath GetVersionDir() => 
        Path.Concat(Приложение.Настройки.путь_к_кубачу, "versions");

    public static IOPath GetVersionJarFilePath(string name) =>
        Path.Concat(GetVersionDir(), name + ".jar");
    
    public static IOPath GetLibrariesDir() => 
        Path.Concat(Приложение.Настройки.путь_к_кубачу, "libraries");
}
